//==============================================================================
// PROJECT      = Bootloader
// MODULE       = bl78k0_kx2_uart.h
// SHORT DESC.  = Prototypes and constants for the interface(UART)
// DEVICE       = 78K0/Kx2
// VERSION      = 1.0
// DATE         = 05.12.2006
// LAST CHANGE  =
// =============================================================================
// By:          NEC Electronics (Europe) GmbH
//              Arcadiastrasse 10
//              D-40472 Duesseldorf
// =============================================================================



#ifndef __BL78K0_KX2_UART_H
#define __BL78K0_KX2_UART_H


//*****************************************************************************
// function prototypes
//*****************************************************************************
void ifaceInit(void);
__callt u08 getRxByte(void);
__callt u08 byteReceived(void);
void sendByte(u08 txData);
void stopRx(void);
void readyToRx(void);
u08 stopRxEnabled(void);
u08 readyToRxEnabled(void);
__callt u08 rxError(void);
void resetRxErrorFlags(void);
void resetInterface(void);

//*****************************************************************************
// interface constants
//*****************************************************************************
#define XON         0x11                  // XON character
#define XOFF        0x13                  // XOFF character
#define BAUDRATE    115200                // baud rate

#endif
