/************************************************************************************/
/*                                                                                  */
/* File:        spl78k0_kx2_config.h                                                */
/* Project:     Selfprogramming application note, MF2 single voltage flash          */
/* Device:      78k0/Kx2                                                            */
/* Version:     1v06                                                                */
/* Date:        12.09.2006 09:30                                                    */
/*                                                                                  */
/* Copyright:   (c)2004-2006 by NEC Electronics (Europe) GmbH. All rights reserved. */
/*                                                                                  */
/* Description: low-level project specific configuration of selprogramming library  */
/*                                                                                  */
/*               - specification of the target device                               */
/*               - configuration of the functional interface (size optimization)    */
/*                                                                                  */
/* Environment: IAR environment for 78K0 (version V3.xx and V4.xx)                  */
/*                                                                                  */
/************************************************************************************/


#ifndef __SPL78K0_KX2_CONFIG_H_INCLUDED
#define __SPL78K0_KX2_CONFIG_H_INCLUDED


// specify target device IO file
// ------------------------------
#if __VER__ >= 400
#include "io78f0547_80.h"                // system file, IAR 4.xx
#else
#include "df054780_v3.h"                // system file, IAR 3.xx
#endif


// include commands your application needs
//--------------------------------------------------------------
#define   spl78k0_function_included     0x01
#define   spl78k0_function_excluded     0x00
// -------------------------------------------------------------
#define   GetInfo_Security                spl78k0_function_included
#define   GetInfo_BootCluster             spl78k0_function_included
#define   GetInfo_BlockEndAddr            spl78k0_function_included
#define   SetInfo_SwapBootCluster         spl78k0_function_included
#define   SetInfo_ChipEraseProtection     spl78k0_function_included
#define   SetInfo_BlockEraseProtection    spl78k0_function_included
#define   SetInfo_WriteProtection         spl78k0_function_included
#define   SetInfo_BootClusterProtection   spl78k0_function_included
// -------------------------------------------------------------


#endif
